<?php
require_once '../session_init.php';
require_once 'config.inc.php';
require_once 'db.class.php';
require_once 'fonctions.inc.php';

$path = $_SERVER["PHP_SELF"];
$db = new db();

$idVotation = getpost("idVotation");
$idVote = getpost("idVote");
$candidat = getpost("candidat");
$libelle = getpost("libelle");

if (!empty($candidat))
{
	$query = "INSERT INTO liste_candidats VALUES (0, " . $db->protect($idVotation) . ", " . $db->protect($idVote) . ",'" . $db->protect($libelle) . "', '". $db->protect($candidat) . "')";
	$db->query($query);
	header("Location: " . $base_url . "/" . $path , TRUE, 301);
	return;
}else
{
	require_once 'entete.php';
	print('<br><br>
		<!-- lalis Grid Section -->
		<section id="content">
			<div class="container">') . EOL;
	print('		<div class="row">
					<div class="col-lg-12 text-center">');

	if (empty($idVotation))
	{
		choixVotation($path, 0, false);
	}elseif (empty($idVote))
	{
		choixVote($path, $idVotation);
	}else
	{
		$votationName = $db->queryVotationName($idVotation);
		$voteName = $db->queryVoteName($idVote);
		$candidatsList = $db->queryCandidatsList($idVotation, $idVote);

		print('<h3>Nouveau candidat pour le vote "' . $voteName . '" de la votation "' . $votationName . '"</h3>');
		if (empty($candidatsList))
		{
			print("Aucun candidats saisi pour l'instant" . EOLH);
		}else
		{
			print('Liste des candidats');
			foreach($candidatsList as $line)
			{
				print($line["libelle"] . EOLH);
			}
		}
		candidatsForm($path, $idVotation, $idVote);
	}
	print('				</div>
					</div>
				</div>
			</section>');
	require_once("footer.html");
}
$db->close();

?>;
